POSTPayoutLink Resend API
Use Case
This API is used to resend notifications to Active Payout Links.
HTTP Headers
| ATTRIBUTE | DESCRIPTION |
|---|---|
|
x-mid string(50) |
Paytm provides MID as a unique identifier to each merchant. For your staging MID, click here. You get the production MID post the account activation. |
|
x-checksum string(108) |
Signature encryption for validation. It's value to be sent should be the checksum string created by using Paytm checksum library. Note: Create the signature using all the request parameters. |
Request Attributes
API Content Type: JSON
| ATTRIBUTE | DESCRIPTION |
|---|---|
|
mid string |
Paytm provides MID as a unique identifier to each merchant. For your staging MID, click here. You get the production MID post the account activation. Example: INTEGR7769XXXXXX9383 |
|
payoutLinkId string |
It is a unique alphanumeric Id generated by Paytm for each payoutLink. Example: 51D2J06xxxxxxxxxx641YSg0P |
Response Attributes
API Content Type: JSON
| ATTRIBUTE | DESCRIPTION |
|---|---|
|
statusCode string |
payoutLink resend request status Example: SUCCESS |
|
status string |
payoutLink resend request statusCode Example: DE_001 |
|
statusMessage string |
payoutLink resend request statusMessage Example: The link is resent successfully |
Response Codes & Messages
| statusCode | status | statusMessage |
|---|---|---|
| PL_001 | SUCCESS | Success |
| PL_010 | FAILURE | param is mandatory and it's can't be null or blank |
| PL_011 | FAILURE | param doesn't contain a valid value |
| PL_013 | FAILURE | param doesn't contain valid length, It should be <length> or less |
| PL_019 | FAILURE | MID is not valid |
| PL_023 | FAILURE | Mid is not active |
| PL_041 | FAILURE | Unable to process your request. Please try after some time |
| PL_054 | FAILURE | SubwalletGuid is not correct, Please check and try again |
| PL_057 | FAILURE | Invalid request |
| PL_400 | FAILURE | Invalid Request Parameter |
| PL_401 | FAILURE | Authentication Parameters Required |
| PL_402 | FAILURE | Access Denied |
| PL_403 | FAILURE | API Not Found |
| PL_404 | FAILURE | Unable to authenticate the request |
| PL_405 | FAILURE | Remote IP not whitelisted |
| PL_406 | FAILURE | Invalid Client-Token |
| PL_407 | FAILURE | Client-Token Required |
| PL_408 | FAILURE | Checksum Required |
| PL_409 | FAILURE | Checksum Verification Failed |
| PL_410 | FAILURE | Method Not Supported |
| PL_411 | FAILURE | Media-Type Not Supported |
| PL_500 | FAILURE | System Error |
Staging
Production
https://staging-dashboard.paytm.com/pls/api/v1/payout-link/resend
REQUEST
RESPONSE
CURL
JAVA
NODE
PHP
PYTHON
DOTNET
curl -X POST 'https://staging-dashboard.paytm.com/pls/api/v1/payout-link/resend' \
--header 'Content-Type: application/json' \
--header 'x-mid: {mid}' \
--header 'x-checksum: {checksum}' \
--data '{"payoutLinkId":"51D2J06xxxxxxxxxx641YSg0P"}' \